/api/v1/datagrid-columns (GET)
GET
/api/v1/datagrid-columns
const url = 'https://api.endless.zaia.app/api/v1/datagrid-columns?datagridId=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/datagrid-columns?datagridId=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Retrieves multiple datagrid columns.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”datagridId
required
A UUID v4 string that identifies an entity.
string format: uuid
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”Retrieves all datagrid columns for the specified datagrid.
Media typeapplication/json
Array<object>
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
updatedAt
required
string format: date-time
datagridId
required
The datagrid ID associated with the column.
string format: uuid
description
required
The description of the column. Will be used by the agent to understand how to interact with it.
string
detail
required
name
required
The display name of the datagrid column.
string
Example
[ { "detail": { "type": "string" } }]Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}Datagrid not found.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}